﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Data;

namespace QuizEngine.Data
{
    public class Quiz : DbTable
    {
        int _quizId;

        [DbType(System.Data.SqlDbType.Int)]
        public int QuizId
        {
            get { return _quizId; }
            set { _quizId = value; }
        }
        string _quizName;

        public string QuizName
        {
            get { return _quizName; }
            set { _quizName = value; }
        }
        string _quizDescription;

        public string QuizDescription
        {
            get { return _quizDescription; }
            set { _quizDescription = value; }
        }
        byte _questionType;

        public byte QuestionType
        {
            get { return _questionType; }
            set { _questionType = value; }
        }

        public Quiz()
        {
            
        }

        public Quiz(int quizId, string quizName, string quizDescription, byte questionType)
        {
            _quizId = quizId;
            _quizName = quizName;
            _quizDescription = quizDescription;
            _questionType = questionType;
        }


    }
}
