﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;

namespace QuizEngine.Data
{
    public class DbTypeAttribute : Attribute
    {
        SqlDbType _sqlDbType;
        public DbTypeAttribute(SqlDbType sqlDbType)
        {
            _sqlDbType = sqlDbType;
        }
        public SqlDbType SqlDbType
        {
            get { return _sqlDbType; }
            set { _sqlDbType = value; }
        }
        public override string  ToString()
        {
 	         return _sqlDbType.ToString();
        }
    }
}
